# Mid-level water vapor - Band 9

"The 6.9 µm “Mid-level water vapor” band is one of three water vapor bands on the ABI and is used for tracking middle-tropospheric winds, identifying jet streams, forecasting hurricane track and mid-latitude storm motion, monitoring severe weather potential, estimating mid-level moisture (for legacy vertical moisture profiles) and identifying regions where turbulence might exist. Surface features are usually not apparent in this band. Brightness Temperatures show cooling because of absorption of energy at 6.9 µm by water vapor." Bachmeier et al. [1].

### Intended usage

"Atmospheric feature identification (jet streams, vorticity centers, signatures of potential turbulence, contrails)." Bachmeier et al. [1].

### Appearance

![Interpretation](descriptions/img/ABIMidLevelWater.png)

The temperature range used with the following LUT is 180 K to 280 K.

![Scale](lut/cal/abi_wv_8-10.png)

### Limitations

"Optically dense clouds obstruct the view of lower altitude moisture features." Bachmeier et al. [1].

As described by Bachmeier et al. [1], the water vapor bands are infrared bands that sense the mean temperature of a layer of moisture, said layer can vary in altitude and depth, depending on the temperature and moisture profile of said atmospheric column, as well as the satellite viewing angle.

### References

1. S. Bachmeier, T. Schmit and J. Gerth "Band 9 - ABI Quick Information Guide", UW-Madison CIMSS/NOAA, Aug. 2017, https://cimss.ssec.wisc.edu/goes/OCLOFactSheetPDFs/ABIQuickGuide_Band09.pdf. [View Article](https://cimss.ssec.wisc.edu/goes/OCLOFactSheetPDFs/ABIQuickGuide_Band09.pdf)
