# CIR (Color Infrared)

Color Infrared (also known as *CIR*, *IRFC*, *Near-IR False Color* and *Infrared False Color*) is one of the most important and certainly the most traditional band when it comes to remote sensing. It is in regular use since the early 1950s, first with color film and then with digital sensors, both in aerial photography as well as satellites.

It makes use of the 0.885 µm (Near-IR), 0.55 µm (red) and 0.47 µm (green) bands to provide a good contrast view that enhances vegetation, land features and water.

Given it doesn't use blue wavelenghts, this band provides better contrast compared to True Color as it doesn't suffer from Rayleigh scattering.

### Appearance

Intense bright red: Bright tones of red typically represent vigorously growing, dense vegetation that is producing a large amount of chlorophyll. (See trees and field in the center and right center of the CIR photo at right.)

Lighter tones of red, magenta, pinks: These colors generally represent vegetation that does not contain as much chlorophyll such as mature stands of evergreens. Agricultural fields nearing the end of the growing season, and dead or unhealthy plants often appear in less intense reds, green, or tan. 

White, blue, green, or tan: These colors often represent soils. Darker shades of soil generally indicate higher moisture levels or organic matter. Soil composition also affects soil color appearance, with clayey soils appearing in darker tans and blue-greens, and sandy soils appearing white, gray, or light tan. Crops nearing the end of the growing season, or dead or unhealthy plants will appear in various light tones of red and pink, or greens and tans. Pale or light blue can also represent sediment-laden water. Buildings and manmade materials such as concrete and dry gravel generally appear white to light blue in CIR photos.

Dark blue to black: Water ranges from shades of blue to black depending on the clarity and depth. Usually, the clearer the water, the darker the color. However, shallow streams will often display the colors associated with the materials in their stream beds. If the stream bed is made of sand, the color will appear white or very light tan due to the high reflective property of sand. Asphalt roads generally appear dark blue to black.

### Intended usage

General remote sensing.

### Limitations

No specific limitations.

### References

* [Minnesota GEO](https://www.mngeo.state.mn.us/chouse/airphoto/cir.html)
