# Enhanced IR

This enhancement uses a look-up table to highlight certain temperatures in the clouds. This is often presented as a product from various meteorology agencies.

It is also available as a transparent version to be overlaid on other enhancements.

This enhancement uses calibrated temperatures.

### Appearance

Clouds appear white above -33°C, then blue, green, yellow and finally red at -73°C. 

Land and sea appear in shades of gray, where black means hotter; in the transparent version, anything hotter than -33°C is marked as transparent.

![Scale](lut/cal/EnhancedIR.png)

### Intended usage

Meteorology.

### Limitations

It is hard to recognize land features during the summer or in hot latitudes. It is possible to overlay the transparent version on top of other enhancements to obviate this issue.

Additionally, the "Cloud Top IR" enhancement can be used and provides a similar view, with better terrain contrast. The choice between either enhancement in winter depends mostly on the necessity to compare SatDump data with other meteorological agencies' data and from personal preference.